SETTERM(1)

BEZEICHNUNG
setterm - legt Terminalattribute fest

ÜBERSICHT
setterm [Optionen]

BESCHREIBUNG
setterm schreibt eine Zeichenkette in die Standardausgabe, welche die angegebenen Terminal-Fähigkeiten anwendet. Wo es möglich ist, wird terminfo abgefragt, um die zu verwendende Zeichenkette zu finden. Einige Optionen (die nachfolgend als »nur für virtuelle Konsolen« gekennzeichnet sind) entsprechen keiner Fähigkeit von terminfo(5). In diesem Fall wird, wenn der Terminaltyp »con« oder »linux« ist, die Zeichenkette ausgegeben, welche die angegebenen Fähigkeiten auf dem Treiber der virtuellen PC-Minix-Konsole aufruft. Optionen, die im Terminal nicht implementiert sind, werden ignoriert.

OPTIONEN
Die Vorgabe für die booleschen Optionen (on oder off) ist on.

Nachfolgend kann ein 8-color black, red, green, yellow, blue, magenta, cyan oder white sein.

Ein 16-color kann 8-color sein, oder grey, oder bright gefolgt von red, green, yellow, blue, magenta, cyan oder white.

Die verschiedenen Farboptionen können unabhängig voneinander festgelegt werden, zumindest für die virtuellen Konsolen. Jedoch bleibt der Erfolg beim Festlegen mehrerer Modi (zum Beispiel -underline und -half-bright) von der Hardware abhängig.

--appcursorkeys [on|off] (nur virtuelle Konsolen)
    schaltet den Cursortasten-Modus ein oder aus. Wenn eingeschaltet, wird für die Cursortasten ESC O A, ESC O B usw. anstelle von ESC [ A, ESC [ B gesendet. Im Abschnitt »vi and Cursor-Keys« des Text-Terminal-HOWTO finden Sie Informationen darüber, welche Probleme dies bei Anwendern von vi verursachen kann.

--append [Konsolennummer]
    wirkt wie -dump, aber hängt den Schnappschuss an die Datei an, anstatt sie zu überschreiben. Dies funktioniert nur, wenn keine -dump-Optionen angegeben werden.

--background 8-color|default
    legt die Hintergrundfarbe des Textes fest.

--blank [0-60|force|poke] (nur virtuelle Konsolen)
    legt das Inaktivitätsintervall in Minuten fest, nachdem der Bildschirm automatisch geleert wird (mittels APM, sofern es verfügbar ist). Ohne dieses Argument wird der Leerstatus zurückgegeben (Nummer des virtuellen Terminals, welches geleert wurde oder 0 für ein nicht geleertes Terminal).

    Die Option force sorgt dafür, dass der Bildschirm leer bleibt, selbst wenn eine Taste gedrückt wird.

    Die Option poke zeigt den Bildschirminhalt wieder an.

--bfreq [Zahl] (nur virtuelle Konsolen)
    legt die Frequenz des Klangs der Systemglocke in Hz fest. Ohne Argument wird 0 als Vorgabe verwendet.

--blength [0-2000] (nur virtuelle Konsolen)
    legt die Dauer des Klangs der Systemglocke in Millisekunden fest. Ohne Argument wird 0 als Vorgabe verwendet.

--blink [on|off]
    schaltet den Blinkmodus ein oder aus. Außer in einer virtuellen Konsole deaktiviert -blink off alle Attribute (bold, half-brightness, blink, reverse).

--bold [on|off]
    schaltet den extrahellen Modus ein oder aus. Außer in einer virtuellen Konsole deaktiviert -bold off alle Attribute (bold, half-brightness, blink, reverse).

--clear [all|rest]
    Ohne Argument oder mit dem Argument all wird der gesamte Bildschirm geleert und der Cursor auf die Anfangsposition zurückgesetzt, was dem Verhalten von clear(1) entspricht. Mit dem Argument rest wird der Bildschirmbereich von der aktuellen Cursorposition bis zum Ende geleert.

--clrtabs [tab1 tab2 tab3 …] (nur virtuelle Konsolen)
    löscht die Tabulatoren an den angegebenen horizontalen Positionen der Eingabemarke im Bereich von 1-160. Ohne Argumente werden alle Tabulatoren gelöscht.

--cursor [on|off]
    schaltet die Eingabemarke des Terminals ein oder aus.

--default
    setzt die Darstellungsoptionen des Terminals auf die Standardwerte.

--dump [Konsolennummer]
    schreibt einen Schnappschuss der angegebenen virtuellen Konsole in die in der Option -file angegebenen Datei, wobei vorhandene Inhalte überschrieben werden. Vorgabe als Dateiname ist screen.dump. Ohne Argument bezieht sich der Befehl auf die aktuelle virtuelle Konsole. Diese Option übergeht -append.

--file Dateiname
    legt den Namen der Schnappschussdatei für die Optionen -dump oder -append in der gleichen Befehlszeile fest. Wenn die Option nicht angegeben wird, dann wird als Vorgabename screen.dump im aktuellen Verzeichnis verwendet. Ein das Maximum des Systems übersteigender Pfadname wird gekürzt. Den dafür gültigen Wert finden Sie in PATH_MAX in linux/limits.h.

--foreground 8-color|default
    legt die Vordergrundfarbe des Textes fest.

--half-bright [on|off]
    schaltet den abgedunkelten Modus (half-brightness - halbe Helligkeit) ein oder aus. Außer in einer virtuellen Konsole deaktiviert -half-bright off alle Attribute (bold, half-brightness, blink, reverse).

--hbcolor 16-color
    legt die Farbe für Zeichen halber Helligkeit fest.

--initialize
    zeigt die Initialisierungszeichenkette des Terminals, welche typischerweise die Darstellungsoptionen und weitere Attribute auf Standardwerte zurücksetzt.

--inversescreen [on|off]
    tauscht die Vordergrund- und Hintergrundfarben für den gesamten Bildschirm.

--linewrap [on|off]
    sorgt dafür, dass das Terminal in einer neuen Zeile fortsetzt, wenn die Zeile voll ist.

--msg [on|off] (nur virtuelle Konsolen)
    aktiviert oder deaktiviert das Senden von printk()-Meldungen des Kernels an die Konsole.

--msglevel 1-8 (nur virtuelle Konsolen)
    legt die Protokollierstufe der Konsole für die printk()-Meldungen des Kernels fest. All jene Meldungen, die strikt wichtiger (als die gesetzte Protokollierstufe) sind, werden ausgegeben, so dass eine Protokollierstufe 0 die gleiche Wirkung wie -msg on, und eine Protokollierstufe 8 die Ausgabe sämtlicher Kernel-Meldungen zur Folge hat. klogd(8) ist vielleicht eine zur Protokollierung von Kernel-Meldungen besser geeignete Schnittstelle.

--powerdown [0-60]
    legt das Intervall für das Versetzen in den VESA-Powerdown-Modus in Minuten fest. Ohne Argument wird 0 verwendet (Abschalten ist deaktiviert). Wenn die Konsole geleert wird oder sich der Bildschirm in einem Energiesparmodus befindet, dann wird der Bildschirm in den vsync-Energiesparmodus beziehungsweise den Herunterfahrmodus versetzt, sobald die angegebene Zeitspanne verstrichen ist.

--powersave off
    schaltet die VESA-Energiesparfunktionen des Monitors ab.

--powersave on|vsync
    versetzt den Bildschirm in den vsync-Energiesparmodus nach VESA-Norm.

--powersave powerdown
    versetzt den Bildschirm in den Herunterfahrmodus nach VESA-Norm.

--powersave hsync
    versetzt den Bildschirm in den hsync-Energiesparmodus nach VESA-Norm.

--regtabs [1-160] (nur virtuelle Konsolen)
    löscht alle Tabulatoren und setzt diese dann nach dem regulären Muster, mit jeweils einem Tabulator nach der angegebenen Anzahl der Positionen. Ohne Argument wird 8 als Vorgabe verwendet.

--repeat [on|off] (nur virtuelle Konsolen)
    schaltet Tastaturwiederholung ein oder aus.

--reset
    zeigt die Zeichenkette zum Zurücksetzen des Terminals an, welche typischerweise das Terminal in den Zustand nach dem Einschalten zurück versetzt.

--resize
    setzt die Terminalgröße durch Ermittlung der maximalen Zeile und Spalte zurück. Dies ist nützlich, wenn die tatsächliche Geometrie und der Kernel-Terminal-Treiber nicht übereinstimmen. Der bekannteste Anwendungsfall sind serielle Konsolen, die keine ioctl(3) sondern nur Byte-Ströme und Unterbrechungen benutzen.

--reverse [on|off]
    schaltet den umgekehrten Videomodus ein oder aus. Außer in einer virtuellen Konsole deaktiviert -reverse off alle Attribute (bold, half-brightness, blink, reverse).

--store (nur virtuelle Konsolen)
    speichert die aktuellen Darstellungsoptionen des Terminals (Vordergrund- und Hintergrundfarbe) als Werte, die beim Zurücksetzen auf Standardwerte verwendet werden sollen.

--tabs [tab1 tab2 tab3 …]
    setzt die Tabulatoren an die angegebenen horizontalen Positionen der Eingabemarke im Bereich von 1-160. Ohne Argumente werden die aktuellen Einstellungen für Tabulatoren angezeigt.

--term Terminalname
    übergeht die Umgebungsvariable TERM.

--ulcolor 16-color (nur virtuelle Konsolen)
    legt die Farbe für unterstrichene Zeichen fest.

--underline [on|off]
    schaltet den Unterstreichungsmodus ein oder aus.

--version
    zeigt Versionsinformation an und beendet das Programm.

--help
    zeigt eine Hilfe an und beendet das Programm.

KOMPATIBILITÄT
Seit Version 2.25 unterstützt setterm lange Optionen mit zwei Minuszeichen, zum Beispiel --help, neben den historischen langen Optionen mit einem Minuszeichen, zum Beispiel -help. In Skripten ist es besser, die abwärtskompatible Version mit einem Minuszeichen zu verwenden. Gegenwärtig gibt es keine Pläne oder gute Gründe, die Ein-Minuszeichen-Kompatibilität aufzugeben.

SIEHE AUCH
stty(1), tput(1), tty(4), terminfo(5)

FEHLER
Unterschiede zwischen der Minix- und der Linux-Version sind nicht dokumentiert.

VERFÜGBARKEIT
Der Befehl setterm ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.